---
title: 'SpeechRecognition: speechstart event'
slug: Web/API/SpeechRecognition/speechstart_event
tags:
  - Event
  - Reference
  - Web Speech API
---
<div>{{SeeCompatTable}} {{APIRef("Web Speech API")}}</div>

<div>
<p>The <code><strong>speechstart</strong></code> event of the <a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a> is fired when sound recognized by the speech recognition service as speech has been detected.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/SpeechRecognition/onspeechstart">onspeechstart</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>You can use the <code>speechstart</code> event in an <code><a href="/en-US/docs/Web/API/EventTarget/addEventListener">addEventListener</a></code> method:</p>

<pre class="brush: js">var recognition = new webkitSpeechRecognition() || new SpeechRecognition();

recognition.addEventListener('speechstart', function() {
  console.log('Speech has been detected');
});</pre>

<p>Or use the <code><a href="/en-US/docs/Web/API/SpeechRecognition/onspeechstart">onspeechstart</a></code> event handler property:</p>

<pre class="brush: js">recognition.onspeechstart = function() {
  console.log('Speech has been detected');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Speech API', '#speechreco-events', 'speech recognition events')}}</td>
   <td>{{Spec2('Web Speech API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SpeechRecognition.speechstart_event")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
